net.minecraft.client.multiplayer

## Class ThreadLanServerPing

- java.lang.Object
- - java.lang.Thread
  - - net.minecraft.client.multiplayer.ThreadLanServerPing

- All Implemented Interfaces:
    java.lang.Runnable

      public class ThreadLanServerPing
      extends java.lang.Thread

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThreadLanServerPing(java.lang.String par1Str, java.lang.String par2Str)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getAdFromPingResponse(java.lang.String par0Str)`
    `static java.lang.String` | `getMotdFromPingResponse(java.lang.String par0Str)`
    `static java.lang.String` | `getPingResponse(java.lang.String par0Str, java.lang.String par1Str)`
    `void` | `interrupt()`
    `void` | `run()`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ThreadLanServerPing

          public ThreadLanServerPing(java.lang.String par1Str,
                             java.lang.String par2Str)
                              throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `java.lang.Thread`

    - #### interrupt

          public void interrupt()

      Overrides:
        `interrupt` in class `java.lang.Thread`

    - #### getPingResponse

          public static java.lang.String getPingResponse(java.lang.String par0Str,
                                         java.lang.String par1Str)

    - #### getMotdFromPingResponse

          public static java.lang.String getMotdFromPingResponse(java.lang.String par0Str)

    - #### getAdFromPingResponse

          public static java.lang.String getAdFromPingResponse(java.lang.String par0Str)